#include "ringbuffer_internal.h"





/****************************************************************************/
void ringbuffer_put_read_element( struct ringbuffer_state *rs, struct ringbuffer_element *re )
{
  assert( rs != NULL );
  assert( re != NULL );

  freelist_push( rs->fs, re->fe );

  return;
}





/****************************************************************************/
void ringbuffer_put_write_element( struct ringbuffer_state *rs, struct ringbuffer_element *re )
{
  assert( rs != NULL );
  assert( re != NULL );

  ringbuffer_internal_enqueue_element( rs, re );

  return;
}

