#include "internal.h"





/****************************************************************************/
void internal_display_test_name( char *test_name )
{
  assert( test_name != NULL );

  printf( "%s...", test_name );
  fflush( stdout );

  return;
}





/****************************************************************************/
void internal_display_test_result( enum error e )
{
  char
    *string = NULL;

  switch( e )
  {
    case ERROR_NO_ERROR:
      string = "passed";
    break;

    case ERROR_LOOP:
      string = "failed - loop detected";
    break;

    case ERROR_MISSING_ELEMENTS:
      string = "failed - missing elements";
    break;

    case ERROR_ADDITIONAL_ELEMENTS:
      string = "failed - additional elements";
    break;

    case ERROR_TEST_DATA:
      string = "failed - invalid test data";
    break;
  }

  printf( "%s\n", string );

  return;
}

